Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_caps.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_caps.F	(revision 1233)
+++ 	(revision )
@@ -1,40 +1,0 @@
-      !!! This has to go after initracer which change dryness and watercaptag
-
-      !!!!!! MARS MESOSCALE MODELING
-      !!!!!! TEST TEST TEST TEST  AS+JBM 28/02/11
-      !!!!!! TEST TEST TEST TEST  AS+JBM 28/02/11
-      !!!!!! TEST TEST TEST TEST  AS+JBM 28/02/11
-      !!!! 
-      !!!! principe: une option 'caps=T' specifique au mesoscale
-      !!!! ... en vue d'un meso_initracer ????
-      !!!! 
-      !!!! depots permanents => albedo TES du PDS
-      !!!! depots saisonniers => alb_surfice (~0.4, cf plus bas)
-      !!!!     [!!!! y compris pour les depots saisonniers sur les depots permanents]
-      !!!!
-      !!!! --> todo: il faut garder les depots saisonniers qui viennent
-      !!!!           du GCM lorsqu'ils sont consequents
-      !!!! 
-      !IF ( caps .and. (igcm_h2o_ice .ne. 0) ) THEN
-
-      IF ( caps .and. water ) THEN
-          PRINT *, 'OVERWRITING watercaptag DEFINITION in INITRACER'
-          PRINT *, 'lat > lat_lim et alb > alb_lim => watercaptag=T'
-          PRINT *, 'ind for water ice: ', igcm_h2o_ice 
-          !! Perennial H20 north cap defined by watercaptag=true (allows surface to be
-          !! hollowed by sublimation in vdifc).
-          do ig=1,ngrid
-            qsurf(ig,igcm_h2o_ice)=0.  !! on jette les inputs GCM
-            if ( ( lati(ig)*180./pi .gt. 70. ) .and.
-     .           ( albedodat(ig) .ge. 0.26   ) )  then
-                    watercaptag(ig)  = .true.
-                    dryness(ig)      = 1.
-            else
-                    watercaptag(ig)  = .false.
-                    dryness(ig)      = 1.
-            endif  ! (lati, albedodat)
-          end do ! (ngrid)
-      ELSE  ! (caps)
-          print *,'Blork !!!'
-          print *,'caps=T avec water=F ????'
-      ENDIF ! (caps)
Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisini.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisini.F	(revision 1233)
+++ 	(revision )
@@ -1,98 +1,0 @@
-c------------------------------------------------------
-c  Fill some parameters in the 'include' files
-c  >> Do part of the job previously done by phyetat0.F
-c  >> Complete list of parameters is found in tabfi.F
-c------------------------------------------------------
-c
-c Values are defined in the module_model_constants.F WRF routine
-c      
-      ! in 'comcstfi.h'
-      omeg=womeg                
-      mugaz=wmugaz  
-      print*,"check: rad,cpp,g,r,rcp,daysec,omeg,mugaz"
-      print*,rad,cpp,g,r,rcp,daysec,omeg,mugaz
-    
-      ! in 'planet.h' 
-      year_day=wyear_day
-      periheli=wperiheli
-      aphelie=waphelie
-      peri_day=wperi_day
-      obliquit=wobliquit
-      emin_turb=wemin_turb
-      lmixmin=wlmixmin
-      print*,"check: year_day,periheli,aphelie,peri_day,obliquit"
-      print*,year_day,periheli,aphelie,peri_day,obliquit
-      print*,"check: emin_turb,lmixmin"
-      print*,emin_turb,lmixmin
-
-      ! in 'surfdat.h'
-      emissiv=wemissiv
-      emisice(1)=wemissiceN
-      emisice(2)=wemissiceS
-      albedice(1)=walbediceN
-      albedice(2)=walbediceS
-      iceradius(1)=wiceradiusN
-      iceradius(2)=wiceradiusS
-      dtemisice(1)=wdtemisiceN
-      dtemisice(2)=wdtemisiceS
-      z0_default=wz0
-      print*,"check: z0def,emissiv,emisice,albedice,iceradius,dtemisice"
-      print*,z0_default,emissiv,emisice,albedice,iceradius,dtemisice
-
-c
-c Values are defined in the WPS processing
-c  
-        albedodat(:)=walbedodat(:)
-        !!!!! ***WRF inertiedat was moved, new physics !!
-        !inertiedat(:)=winertiedat(:)
-        phisfi(:)=wphisfi(:)
-        print*,"check: albedodat(1),phisfi(1)"
-        print*,albedodat(1),phisfi(1)
-        print*,"check: albedodat(end),phisfi(end)"
-        print*,albedodat(ngrid),phisfi(ngrid)
-
-        ! NB: usually, gravity wave scheme is useless in mesoscale modeling
-        ! NB: we however keep the option for coarse grid case ... 	
-        zmea(:)=wzmea(:)
-        zstd(:)=wzstd(:)
-        zsig(:)=wzsig(:)
-        zgam(:)=wzgam(:)
-        zthe(:)=wzthe(:)
-        print*,"check: gw param"
-        print*,zmea(1),zmea(ngrid)
-        print*,zstd(1),zstd(ngrid)
-        print*,zsig(1),zsig(ngrid)
-        print*,zgam(1),zgam(ngrid)
-        print*,zthe(1),zthe(ngrid)
-
-        !
-        ! in slope.h
-        !
-        theta_sl(:)=wtheta(:)
-        psi_sl(:)=wpsi(:)
-        print*,"check: theta_sl(1),psi_sl(1)"
-        print*,theta_sl(1),psi_sl(1)
-        print*,"check: theta_sl(end),psi_sl(end)"
-        print*,theta_sl(ngrid),psi_sl(ngrid)
-
-        !
-        ! in comsoil.h
-        !
-        volcapa=wvolcapa
-        print*,"check: volcapa"
-        print*,volcapa 
-
-        !
-        ! in surfdat.h
-        !
-        z0(:) = wz0tab(:)
-        print*,"check: z0"
-        print*,z0(1),z0(ngrid)
-
-c*****************************************************
-c Since it comes from WRF settings, we have to
-c fill dtphys in the include file 
-c It must be set now, because it is used afterwards
-c*****************************************************
-        dtphys=wdt*ptimestep 
-        print*,'Physical timestep (s) ',dtphys
Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisinvar.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisinvar.F	(revision 1233)
+++ 	(revision )
@@ -1,9 +1,0 @@
-     $           ,wdt
-     $           ,womeg,wmugaz
-     $           ,wyear_day,wperiheli,waphelie,wperi_day,wobliquit 
-     $           ,wz0,wemin_turb,wlmixmin
-     $           ,wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS 
-     $           ,wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS
-     $           ,walbedodat,wphisfi,wvolcapa,wz0tab 
-     $           ,wzmea,wzstd,wzsig,wzgam,wzthe
-     $           ,wtheta,wpsi
Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisvar.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisvar.F	(revision 1233)
+++ 	(revision )
@@ -1,14 +1,0 @@
-      REAL wdt
-
-      REAL womeg,wmugaz
-      REAL wyear_day,wperiheli,waphelie,wperi_day,wobliquit
-      REAL wz0,wemin_turb,wlmixmin
-      REAL wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS
-
-      REAL wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS
-      REAL walbedodat(ngrid),wphisfi(ngrid)
-      REAL wzmea(ngrid),wzstd(ngrid),wzsig(ngrid)
-      REAL wzgam(ngrid),wzthe(ngrid)
-      REAL wtheta(ngrid),wpsi(ngrid)
-      REAL wvolcapa
-      REAL wz0tab(ngrid)
Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_les.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_les.F	(revision 1233)
+++ trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_les.F	(revision 1236)
@@ -2,7 +2,7 @@
        
              DO ig=1,ngrid
-!! sensible heat flux in W/m2
-
-             sensheat(ig) = zflubid(ig)-capcal(ig)*zdtsdif(ig)
+!!! sensible heat flux in W/m2
+!
+!             sensheat(ig) = zflubid(ig)-capcal(ig)*zdtsdif(ig)
 
 !! u star in similarity theory in m/s
@@ -16,10 +16,10 @@
             DO ig=1,ngrid
 
-! New SL parametrization, correct formulation for sensheat :
-
-            sensheat(ig) = (pplay(ig,1)/(r*pt(ig,1)))*cpp
-     &        *sqrt(pu(ig,1)*pu(ig,1) + pv(ig,1)*pv(ig,1)
-     &        + (log(1.+0.7*wstar(ig) + 2.3*wstar(ig)**2))**2)
-     &        *zcdh(ig)*(tsurf(ig)-zh(ig,1))
+!! New SL parametrization, correct formulation for sensheat :
+!
+!            sensheat(ig) = (pplay(ig,1)/(r*pt(ig,1)))*cpp
+!     &        *sqrt(pu(ig,1)*pu(ig,1) + pv(ig,1)*pv(ig,1)
+!     &        + (log(1.+0.7*wstar(ig) + 2.3*wstar(ig)**2))**2)
+!     &        *zcdh(ig)*(tsurf(ig)-zh(ig,1))
 
 ! New SL parametrization, ustar is more accurately computed in vdif_cd :
@@ -40,5 +40,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!! LES LES 
-       IF (flag_LES) THEN        
+       IF (turb_resolved) THEN        
 
          write (*,*) '************************************************' 
@@ -49,12 +49,4 @@
          write (*,*) '************************************************'
 
-         DO ig=1,ngrid
-          wstar(ig)=0.  !! no additional gustiness needed in surface layer (see vdifc.F)
-          DO l=1,nlayer
-            zdvdif(ig,l) = 0.
-            zdudif(ig,l) = 0.
-            zdhdif(ig,l) = 0.
-          ENDDO
-         ENDDO
          IF (lifting .and. doubleq) THEN 
          !! lifted dust is injected in the first layer. 
Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_lift_les.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_lift_les.F	(revision 1233)
+++ 	(revision )
@@ -1,14 +1,0 @@
-      IF (flag_LES) THEN
-           DO iq=1, nq
-            DO l=1,nlayer
-              DO ig=1,ngrid
-                 pdq(ig,l,iq)=pdq(ig,l,iq)+ zdqdif(ig,l,iq)
-              ENDDO
-            ENDDO
-           ENDDO
-           DO iq=1, nq
-              DO ig=1,ngrid
-                 dqsurf(ig,iq)=dqsurf(ig,iq) + zdqsdif(ig,iq)
-              ENDDO
-           ENDDO
-      ENDIF
Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_var.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_var.F	(revision 1233)
+++ 	(revision )
@@ -1,18 +1,0 @@
-      REAL output_tab2d(ngrid,n2d)
-      REAL output_tab3d(ngrid,nlayer,n3d)
-      REAL sensheat(ngrid)    !! pour LES avec isfflx!=0
-      !REAL ustar(ngrid)    !! pour LES avec isfflx!=0 !! already defined
-      LOGICAL flag_LES     !! pour LES avec isfflx!=0
-      REAL qsurfice(ngrid) !! pour diagnostics
-      INTEGER tracerset    !!! this corresponds to config%mars
-
-      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! JF 
-      REAL qsurfdust(ngrid)         ! useful for dust diagnostics
-      REAL TAU_lay(ngrid)           ! true opacity (it's not e reference life tauref)
-      REAL dsodust(ngrid,nlayermx)
-      REAL zdqsdif_diag(ngrid)      ! useful for lifting diagnostics                               
-      REAL zdqssed_diag(ngrid)      ! useful for sedimentation diagnostics                         
-      REAL pdq_diag(ngrid)          ! useful for dust perturbation diagnostics   
-      REAL dustot(ngrid)            ! Total mass of dust integrated along vertical axe (kg/m2)
-      REAL zdqnorm(ngrid,nlayermx,2)
-      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! JF
